%global momorel 3

Summary: Zooming predictive text entry system
Name: dasher
Version: 4.11
Release: %{momorel}m%{?dist}
URL: http://www.inference.phy.cam.ac.uk/dasher/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/4.11/%{name}-%{version}.tar.bz2
NoSource: 0

License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: libgnome-devel >= 2.26.0
BuildRequires: libgnomeui-devel >= 2.24.1
BuildRequires: gnome-vfs2-devel >= 2.24.1
BuildRequires: gnome-speech-devel >= 0.4.25
BuildRequires: libbonobo-devel >= 2.24.1
BuildRequires: ORBit2-devel >= 2.14.17
BuildRequires: at-spi-devel >= 1.26.0
BuildRequires: atk-devel >= 1.26.0
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: intltool
BuildRequires: gcc-c++
BuildRequires: desktop-file-utils >= 0.12
BuildRequires: cairo-devel >= 1.8.6
BuildRequires: gnome-doc-utils-devel

Requires(pre): GConf2
Requires(pre): rarian

%description 
Dasher is a zooming predictive text entry system, designed for situations
where keyboard input is impractical (for instance, accessibility or PDAs). It
is usable with highly limited amounts of physical input while still allowing
high rates of text entry.

%prep
%setup -q

%build
%configure  --disable-scrollkeeper \
    --enable-joystick \
    --disable-scrollkeeper \
    --enable-speech \
    --with-a11y \
    --with-gnome \
    LIBS="-lX11"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/dasher.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/dasher.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/dasher.schemas \
      > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/dasher.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_sysconfdir}/gconf/schemas/dasher.schemas
%{_bindir}/dasher
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%{_datadir}/gnome/help/dasher
%{_datadir}/icons/hicolor/48x48/apps/dasher.png
%{_datadir}/icons/hicolor/scalable/apps/dasher.svg
%{_datadir}/locale/*/*/*
%{_datadir}/omf/dasher
%{_mandir}/man1/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.11-3m)
- full rebuild for mo7 release

* Tue Jul 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.11-2m)
- fix build

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.11-1m)
- update to 4.11

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.10.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.10.1-3m)
- add BuildPreReq

* Wed May 27 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.10.1-2m)
- libtool build fix

* Tue Apr 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.10.1-1m)
- update to 4.10.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.10.0-1m)
- update to 4.10.0

* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.9.0-3m)
- add --with-ally --with-gnome

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.9.0-2m)
- rebuild against rpm-4.6

* Sat Sep 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.9.0-1m)
- update to 4.9.0

* Wed Apr 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.7.3-1m)
- update to 4.7.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.7.0-3m)
- rebuild against gcc43

* Sat Feb 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.7.0-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.7.0-1m)
- update to 4.7.0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.1-2m)
- %%NoSource -> NoSource

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.6.1-1m)
- update to 4.6.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.6.0-1m)
- update to 4.6.0
- disable speech

* Tue May 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.4.2-1m)
- update to 4.4.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.1-1m)
- update to 4.4.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.4.0-1m)
- update to 4.4.0

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.5-2m)
- add patch0
- enable speech now

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.5-1m)
- update to 4.3.5
- disable speech now

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.4-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.4-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3.4-1m)
- update to 4.3.4 (unstable)

* Sun Dec 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.2-1m)
- update to 4.2.2

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.1-1m)
- update to 4.2.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.0-1m)
- update to 4.2.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.0.2-3m)
- rebuild against expat-2.0.0-1m

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.2-2m)
- disable japanese selection (use canna)
- disable speech. something wrong gnome-speech :-(

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.18-4m)
- enable gcc-4.1
- add Patch0: dasher-3.2.18-gcc41.patch

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.18-3m)
- remove Patch0: dasher-3.2.11-lib64.patch(x86_64)

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.18-2m)
- add BuildRequires: libwnck-devel >= 2.12.1
- delete autoreconf and make check

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.18-1m)
- version up
- GNOME 2.12.1 Desktop

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.11-2m)
- enable x86_64.

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.11-1m)
- version 2.3.11

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-4m)
- add %%{_datadir}/pixmaps/dasher.png for XFce4

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-3m)
- add Utility to Categories of desktop file for KDE
- BuildPreReq: desktop-file-utils

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.10-2m)
- rebuild against gcc-c++-3.4.1

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.3.10-1m)
- version 2.3.10

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.8-3m)
- rebuild against gnome-speech-0.3.2

* Sat Apr 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.8-2m)
- correct BuildPreReq:

* Fri Apr 16 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.2.8-1m)
- GNOME 2.6 Desktop
- initial import
